%define major		0
%define libname		%mklibname mspack %{major}
%define develname	%mklibname mspack -d

%define rel	2

Summary:	Library for CAB and related files compression and decompression
Name:		libmspack
Version:	0.10.1
Release:	%mkrel -c alpha %{rel}
Group:		System/Libraries
License:	LGPLv2
URL:		http://www.cabextract.org.uk/libmspack/
Source0:	http://www.cabextract.org.uk/libmspack/%{name}-%{version}alpha.tar.gz
BuildRequires:	doxygen

%description
The purpose of libmspack is to provide both compression and decompression of
some loosely related file formats used by Microsoft.

%package -n	%{libname}
Summary:	Library for CAB and related files compression and decompression
Group:		System/Libraries

%description -n	%{libname}
The purpose of libmspack is to provide both compression and decompression of
some loosely related file formats used by Microsoft.

%package -n	%{develname}
Summary:	The development libraries and header files for libmspack
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains libraries, header files and documentation for developing
applications that use %{name}.

%prep

%setup -q -n %{name}-%{version}alpha
%autopatch -p1

chmod a-x mspack/mspack.h

%build
autoreconf -vfi

%configure \
    --disable-static \
    --disable-silent-rules
%make_build

%install
%make_install


iconv -f ISO_8859-1 -t utf8 ChangeLog --output Changelog.utf8
touch -r ChangeLog Changelog.utf8
mv Changelog.utf8 ChangeLog

pushd doc
doxygen
find html -type f | xargs touch -r %{SOURCE0}
rm -f html/installdox
popd

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README TODO COPYING.LIB ChangeLog AUTHORS
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc doc/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.10.1-0.alpha.2.mga8
+ Revision: 1525412
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Apr 16 2019 daviddavid <daviddavid> 0.10.1-0.alpha.1.mga7
+ Revision: 1391726
- new version: 0.10.1aplpha

* Wed Nov 07 2018 daviddavid <daviddavid> 0.9.1-0.alpha.1.mga7
+ Revision: 1328719
- new version: 0.9.1alpha

* Tue Oct 23 2018 daviddavid <daviddavid> 0.8-0.alpha.1.mga7
+ Revision: 1324376
- new version: 0.8alpha, fixes CVE-2018-14679 and CVE-2018-1468[0-2] (mga#23365)

* Sun Aug 26 2018 wally <wally> 0.7.1-0.alpha.3.mga7
+ Revision: 1254746
- add patch to fix parallel build

* Sun Aug 26 2018 daviddavid <daviddavid> 0.7.1-0.alpha.2.mga7
+ Revision: 1254728
- new version: 0.7.1alpha

* Mon Jan 01 2018 daviddavid <daviddavid> 0.6-0.alpha.1.mga7
+ Revision: 1188607
- new version: 0.6alpha
- remove merged upstream patches

* Thu Aug 17 2017 neoclust <neoclust> 0.5-0.2.alpha.1.mga7
+ Revision: 1141406
- Add P2 - Fixes CVE-2017-6419 (mga#21556)
- Add P2 - Fixes CVE-2017-11423 (mga#21556)
- Add debian patch fix rejcetion of empty strings

* Wed Mar 09 2016 pterjan <pterjan> 0.5-0.2.alpha.mga6
+ Revision: 988481
- Make the package compatible with the mass rebuild

* Sat Sep 12 2015 ovitters <ovitters> 0.5-0.1.alpha.mga6
+ Revision: 878513
+ rebuild (emptylog)

* Fri Feb 06 2015 oden <oden> 0.5-0.1.alpha.mga5
+ Revision: 813673
- imported package libmspack

